package com.wisewoods.eduandroid.area;

import androidx.annotation.NonNull;

import com.wisewoods.base.base.BaseAdapter;
import com.wisewoods.base.base.BaseVH;
import com.wisewoods.base.bean.AreaBean;
import com.wisewoods.eduandroid.R;


public class VpListAdapter extends BaseAdapter<AreaBean.DataBean> {

    public VpListAdapter() {
        super(R.layout.item_recycler_list);
    }

    @Override
    protected void convert(@NonNull BaseVH baseVH, AreaBean.DataBean dataBean) {
        if (dataBean.isCheck){
            baseVH.setTextRight(R.id.tv_name, R.drawable.checkbox_active);
        }else {
            baseVH.setTextRight(R.id.tv_name,R.drawable.checkbox);
        }
        baseVH.setText(R.id.tv_name,dataBean.name);
    }
}
